<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.business.mapper.vacation.TVacationMonitorClearLogMapper">

    <resultMap id="BaseResultMap" type="com.yifu.cloud.plus.v1.business.entity.vacation.TVacationMonitorClearLog">
            <id property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="clearNote" column="CLEAR_NOTE" jdbcType="VARCHAR"/>
            <result property="clearDuration" column="CLEAR_DURATION" jdbcType="DECIMAL"/>
            <result property="vacationYear" column="VACATION_YEAR" jdbcType="CHAR"/>
            <result property="clearUser" column="CLEAR_USER" jdbcType="VARCHAR"/>
            <result property="clearUserId" column="CLEAR_USER_ID" jdbcType="VARCHAR"/>
            <result property="clearTime" column="CLEAR_TIME" jdbcType="TIMESTAMP"/>
            <result property="vacationMonitorId" column="VACATION_MONITOR_ID" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,CLEAR_NOTE,CLEAR_DURATION,
        VACATION_YEAR,CLEAR_USER,CLEAR_USER_ID,VACATION_MONITOR_ID
        CLEAR_TIME
    </sql>
</mapper>
